const inquirer = require('inquirer')
const shell = require('shelljs')
const fs = require('fs')

module.exports = (templateName, projectName, projectPostion) => {

  // detect project path
  const projectPath = `${projectPostion}/${projectName}`
  if (fs.existsSync(projectPath)) {
    return {
      status: 0,
      message: `! project name already existed :( `
    }
  }

  // mkdir project path
  shell.mkdir('-p', projectPath)

  // copy template to project path
  shell.cp('-R', `template/${templateName}/.`, projectPath)

  return {
    status: 1,
    message: `√ generate project succeed :) `
  }
}
